### Method

# EDataServer SourceMailComposition get_templates_folder

since: 3.6

#### Declaration [src]

    const gchar*
    e_source_mail_composition_get_templates_folder (
      ESourceMailComposition* extension
    )

#### Description [src]

Returns a string identifying the preferred folder for message templates. The format of the identifier string is defined by the client application.

Available since: 3.6

Gets property | `EDataServer.SourceMailComposition:templates-folder`

#### Return value

Type: `const gchar*`

An identifier for the preferred templates folder.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.